import { ComputedRef, InjectionKey } from 'vue';
export interface ActionContext {
    isSelectItem: ComputedRef<boolean>;
}
export declare const ActionContextKey: InjectionKey<ActionContext>;
export declare function useProviderActionContext(state: Partial<ActionContext>): void;
export declare function useInjectActionContext(): ActionContext;
